Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1486535 - ship / enable ceph-mgr rest module
Summary: ship / enable ceph-mgr rest module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Mgr Plugins
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 3.0
Assignee: Boris Ranto
QA Contact: Madhavi Kasturi
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-08-30 04:10 UTC by Christina Meno
Modified: 2017-12-05 23:41 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-12.2.0-1.el7cp Ubuntu: ceph_12.2.0-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Support for the RESTful plug-in RESTful is a plug-in for the `ceph-mgr` daemon that provides an API for interacting with Ceph clusters. For details, see the link:https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/ceph_management_api/[Ceph Management API: Reference and Integration Guide].
Clone Of:
Environment:
Last Closed: 2017-12-05 23:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Christina Meno 2017-08-30 04:10:34 UTC
Description of problem:
The API formerly known as Calamari is now hosted by ceph-mgr as a plug-in.

We have a long-term plan for a more complete monitoring API, and we are deliberately tracking support questions in the form of customer questions in the monitoring scope that the API needs to eventually provide answers for.

Comment 13 Madhavi Kasturi 2017-10-26 08:55:56 UTC
Successfully installed the RESTful plug-in for ceph manager.  
Raised Bug 1506102 to address the API command execution.

Comment 16 errata-xmlrpc 2017-12-05 23:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.